# Function reference version 2.39.4

## All functions

GDS-class
  Class "GDS"
GEOData-class
Accession,GEOData-method
Columns,GEOData-method
Meta,GEOData-method
Table,GEOData-method
dataTable,GEOData-method
show,GEOData-method
  Class "GEOData"
GEODataTable-class
Accession,GEODataTable-method
Columns,GEODataTable-method
Meta,GEODataTable-method
Table,GEODataTable-method
dataTable,GEODataTable-method
show,GEODataTable-method
  Class "GEODataTable"
getGEO
  Get a GEO object from NCBI or file
getGEOfile
  Download a file from GEO soft file to the local machine
getGEOSuppFiles
  Get Supplemental Files from GEO
getGSEDataTables
GPL-class
  Class "GPL"
GSE-class
GPLList,GSE-method
GSMList,GSE-method
Meta,GSE-method
  Class "GSE"
GSM-class
  Class "GSM"
gunzip
  Gunzip a file
parseGEO
parseGPL
parseGSE
parseGDS
parseGSM
  Parse GEO text